### Summary

Vanitas is a modern transparent user interface resource pack for [Minecraft](https://www.minecraft.net) Java Edition.

### Installation

- You can install this resourcepack directly via the [CurseForge App](https://www.curseforge.com/download/app) or the [Modrinth App](https://modrinth.com/app).
- Alternatively, move the .zip file for your desired version which can be downloaded from either of the [CurseForge](https://www.curseforge.com/minecraft/texture-packs/vanitas), [Modrinth](https://modrinth.com/resourcepack/vanitas) or [GitHub](https://github.com/iJustLeyxo/Vanitas) pages into the resourcepacks folder of your Minecraft Java Edition installation directory. You can open the folder in your file manager from the in-game menu under Options ➤ Resource Packs ➤ Open Pack Folder.

Don't forget to activate the resourcepack in your game settings under Options ➤ Resource Packs.


### Issues

Please report any issues by [creating a new issue](https://github.com/iJustLeyxo/Vanitas/issues/new) using the [issue tracker](https://github.com/iJustLeyxo/Vanitas/issues/) on the GitHub repository.


### Project Source, Usage and License

The project sources can be found on the [Vanitas GitHub repository](https://github.com/iJustLeyxo/Vanitas). Packaged downloads are also available on the [Vanitas CurseForge page](https://www.curseforge.com/minecraft/texture-packs/vanitas) and the [Vanitas Modrinth page](https://modrinth.com/resourcepack/vanitas). You are free to use the contents of this project in compliance with the license, which can also be found on the GitHub repository, the CurseForge and Modrinth project pages and in every official release.


### Project Status

Vanitas is no longer under development and thus will only experience minor changes and bug fixes, aswell as updates to new Minecraft Java Editior releases.


### Version Compatibility

Vanitas is currently compatible with the following Minecraft Java Edition releases:
- 1.21 ~ 1.21.3 (newest release and all subreleases)
- 1.20 ~ 1.20.6 (2nd newest release and all subreleases)
- 1.15 ~ 1.16.1 (LTS)
- 1.11 ~ 1.12.2 (LTS)
- 1.6.1 ~ 1.8.9 (LTS)

(LTS = long term support)

Please note that some features are not available for all Minecraft Java Edition releases due to technical limitations.

Even though some versions of Vanitas may work with certain Minecraft Java Edition snapshots, please note that support for snapshots is not planned for.

Vanitas will always be upated to the newest two major Minecraft Java Edition releases and all subreleases, aswell as specific long term supported versions. Other version compatibility might be added upon request and when deemed beneficial to the project.


### Mod Compatibility

Vanitas currently does not offer compatibility with any mods. Mod compatibility is planned for future releases.


### Contents

This resourcepack replaces the vanilla GUI textures and replaces them with minimal and transparent new textures in a modern design. This includes:
- Menu and settings interface textures (buttons, sliders, text input fields, selection arrows, etc.)
- Container interface textures (interactive blocks, player & entity inventories)
- Advancements screen textures
- Hotbar, health-bar, hunger-bar, xp-bar, jump-bar and boss-bar HUD textures
- Toasts textures (advancements, recipe, tutorial and system message popups)
- Empty item slot textures
- Heart particle textures

### Affiliation Notice

Vanitas is brough to you by all contributors to the Vanitas project.
Vanitas is not official Minecraft content. Vanitas is not approved by or associated with Mojang or Microsoft.
